# Copyright (c) 2014 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
"""IDs shared with Chameleond drivers."""

# IDs of ports
DP1 = 1
DP2 = 2
HDMI = 3
VGA = 4
MIC = 5
LINEIN = 6
LINEOUT = 7
USBIN = 8
USBOUT = 9

# Input/output ports
INPUT_PORTS = [DP1, DP2, HDMI, VGA, MIC, LINEIN, USBIN]
OUTPUT_PORTS = [LINEOUT, USBOUT]

# Ports that support audio/video.
AUDIO_PORTS = [HDMI, MIC, LINEIN, LINEOUT, USBIN, USBOUT]
VIDEO_PORTS = [DP1, DP2, HDMI, VGA]

# Ports that support USB
USB_PORTS = [USBIN, USBOUT]

# Convenience methods
IsInputPort = lambda port_id: port_id in INPUT_PORTS
IsOutputPort = lambda port_id: port_id in OUTPUT_PORTS
IsAudioPort = lambda port_id: port_id in AUDIO_PORTS
IsVideoPort = lambda port_id: port_id in VIDEO_PORTS
IsUSBPort = lambda port_id: port_id in USB_PORTS

# IDs of EDIDs
EDID_ID_DEFAULT = 0
EDID_ID_DISABLE = -1
